commit: f1ca49f089b5d154d5c49d7eb282d00266f4d3b2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 22 09:31:05 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 22 09:33:33 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1ca49f0
dev-python/python-bugzilla: Bump to 2.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-bugzilla/Manifest | 1 +
.../python-bugzilla/python-bugzilla-2.3.0.ebuild | 23 ++++++++++++++++++++++
2 files changed, 24 insertions(+)
diff --git a/dev-python/python-bugzilla/Manifest
b/dev-python/python-bugzilla/Manifest
index 80d3bb6cb52..d7ac2390857 100644
--- a/dev-python/python-bugzilla/Manifest
+++ b/dev-python/python-bugzilla/Manifest
@@ -1,2 +1,3 @@
DIST python-bugzilla-1.2.2.tar.gz 76026 BLAKE2B
1c5cba3e5abf517779d3db2e3b503a38190ec71455e23e8813ee7f495f1a3df117653141728a53781c1acebadc1781614937413d13698eda289f59e5738647c2
SHA512
bb4ce43ffbf054097bd537404861848dd4ff5883fa63f156dfa90bea9f2e89cfaf0670980ec290a3d9c90cee268709b914e8bd5bd38b7f2e29c8d7fbd0215ac2
DIST python-bugzilla-2.1.0.tar.gz 78791 BLAKE2B
31819e04ea5627b5513c22e9cb963cdea4d1ef8d6d4db78d14bf08b8b5fb373afaad4bddb2bc0b05d4637f966bf8b4f3699ace58ceff8ea226d9ffd4aacc7f61
SHA512
40dd331e2dbb4d70ce6d356eb800d6242ef9878112310087761c8dccb7f05b259f0f5fdee6821713a84c68f1e5f9e0bb6ee45542bc385f00822b97344371239e
+DIST python-bugzilla-2.3.0.tar.gz 79002 BLAKE2B
d3aaeaebf25bd56286fa1c4adcbf154ff2d84a28918bd1fd80e1f83b30bfe0f54f7418c75afc446c60046d69cf4ff6219718434158ce9cf040b0b2f7b94136ec
SHA512
cd6e1c3f142ad74b8165fdd503ebaeb5e512ad8055dfc1e47e794908ac21cece6e39365544b94c123067f1d6527b65765431f2656336086e6dda940e446b763b
diff --git a/dev-python/python-bugzilla/python-bugzilla-2.3.0.ebuild
b/dev-python/python-bugzilla/python-bugzilla-2.3.0.ebuild
new file mode 100644
index 00000000000..7fc86a66d8b
--- /dev/null
+++ b/dev-python/python-bugzilla/python-bugzilla-2.3.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python module for interacting with Bugzilla over XMLRPC"
+HOMEPAGE="https://github.com/python-bugzilla/python-bugzilla"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+RDEPEND="
+ || ( dev-python/python-magic[${PYTHON_USEDEP}]
sys-apps/file[python,${PYTHON_USEDEP}] )
+ dev-python/requests[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest